Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1056431 - xdg-open does not substitute all field codes in Exec key
Summary: xdg-open does not substitute all field codes in Exec key
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-utils
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 08:30 UTC by Till Maas
Modified: 2014-06-21 02:56 UTC (History)
3 users (show)

Fixed In Version: xdg-utils-1.1.0-0.24.rc2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 00:57:45 UTC
Type: Bug


Attachments (Terms of Use)
0001-xdg-open-Remove-first_word-already-in-common.patch (633 bytes, patch)
2014-02-26 17:06 UTC, Till Maas
no flags Details | Diff
0002-xdg-open-Expand-i-and-c-from-Exec.patch (2.06 KB, patch)
2014-02-26 17:07 UTC, Till Maas
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 49204 0 None None None Never

Description Till Maas 2014-01-22 08:30:43 UTC
Description of problem:
http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s06.html defines several field codes for the exec key. Onle the f and u fields are subsituted by xdg-open in the function search_desktop_file():
arguments_exec="`echo "$arguments" | sed -e 's*%[fFuU]*"'"$arg_one"'"*g'`"

/usr/share/applications/kde4/okular.desktop contains the following exec key:
Exec=okular %U %i -caption %c

Therefore if xdg-open is configured with xdg-mime to open PDF documents with okular, okular tries to open the file %i and uses %c in the UI without substituting both.

Version-Release number of selected component (if applicable):
xdg-utils-1.1.0-0.18.20131005git.fc20

How reproducible:
always

Comment 1 Till Maas 2014-02-26 17:06:36 UTC
Created attachment 868112 [details]
0001-xdg-open-Remove-first_word-already-in-common.patch

Comment 2 Till Maas 2014-02-26 17:07:05 UTC
Created attachment 868113 [details]
0002-xdg-open-Expand-i-and-c-from-Exec.patch

Comment 3 Till Maas 2014-03-15 09:14:56 UTC
What can be done to get this patch merged soon?

Comment 4 Till Maas 2014-03-30 17:14:39 UTC
ping?

Comment 5 Rex Dieter 2014-03-30 22:32:54 UTC
Thanks, committed upstream, will roll a fixed package shortly.

Comment 6 Fedora Update System 2014-03-30 23:28:07 UTC
xdg-utils-1.1.0-0.21.rc2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xdg-utils-1.1.0-0.21.rc2.fc20

Comment 7 Fedora Update System 2014-03-30 23:28:53 UTC
xdg-utils-1.1.0-0.21.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xdg-utils-1.1.0-0.21.rc2.fc19

Comment 8 Fedora Update System 2014-04-02 09:13:20 UTC
Package xdg-utils-1.1.0-0.21.rc2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xdg-utils-1.1.0-0.21.rc2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4638/xdg-utils-1.1.0-0.21.rc2.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-04-09 00:57:45 UTC
xdg-utils-1.1.0-0.22.rc2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-04-11 17:15:25 UTC
xdg-utils-1.1.0-0.23.rc2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xdg-utils-1.1.0-0.23.rc2.fc20

Comment 11 Fedora Update System 2014-04-11 17:15:38 UTC
xdg-utils-1.1.0-0.23.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xdg-utils-1.1.0-0.23.rc2.fc19

Comment 12 Fedora Update System 2014-04-15 06:06:59 UTC
xdg-utils-1.1.0-0.24.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xdg-utils-1.1.0-0.24.rc2.fc19

Comment 13 Fedora Update System 2014-06-21 02:56:49 UTC
xdg-utils-1.1.0-0.24.rc2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.